# $Id: srm.spec 313 2005-12-11 23:05:17Z rpmbuild $

Summary: Secure remove destroys file contents before unlinking
Name: srm
Version: 1.2.8
Release: %RErelease 3
Epoch: 0
License: MIT
Group: Applications/File
URL: http://srm.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/srm/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is srm, a secure replacement for rm(1). Unlike the standard rm,
it overwrites the data in the target files before unlinking them. This
prevents command-line recovery of the data by examining the raw block
device. It may also help frustrate physical examination of the disk,
although it's unlikely that completely protects against this type of
recovery.

%prep
%setup -q
%{__chmod} 0644 COPYING Changes Credits README
%configure

%build
%{__make}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes Credits README
%{_bindir}/*
%doc %{_mandir}/*/*

%changelog
* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2.8-3
- Refactored use of macros.
- Rebuilt in new build system.

* Thu Sep 29 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2.8-2
- Fixed spelling error in Description field.

* Mon Sep 05 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2.8-1
- Rebuilt.

